### File

`src/app/home/home.component.ts`

### Description

The home component

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.Emulated`
selector | `home`

template

    `<div class="todoapp">
        <header class="header"></header>
        <list class="main"></list>
        <footer></footer>
    </div>
    `

templateUrl | `./home.component.html`

### Index

###### Methods

- Public showTab

### Methods

Public showTab
`showTab()`
Defined in src/app/home/home.component.ts:25
Returns : `void`

    import { Component, ChangeDetectionStrategy, ViewEncapsulation } from '@angular/core';

    const selector = 'home';
    const template = `
    <div class="todoapp">
        <header class="header"></header>
        <list class="main"></list>
        <footer></footer>
    </div>
    `;
    const templateUrl = './home.component.html';
    const changeDetection = ChangeDetectionStrategy.OnPush;
    const encapsulation = ViewEncapsulation.Emulated;
    /**
     * The home component
     */
    @Component({
        selector,
        template,
        templateUrl,
        changeDetection,
        encapsulation
    })
    export class HomeComponent {
        public showTab() {}
    }

    <div class="todoapp">
        <header class="header"></header>
        <list class="main"></list>
        <footer></footer>
    </div>

Legend
Html element
Component
Html element with directive

# results matching ""

# No results matching ""